import request from "../request.js"

export default {
	// iots物联网模块
	iotsApi:require("./iots/index.js").default,
	// 组态模块
	configurationApi:require("./configuration/index.js").default,
	// 视频监控模块
	videoApi:require("./video/index.js").default,
	// 消息模块
	newApi:require("./new.js").default,
	
	// 获取配置(获取应用名称)
	getAppConfig(data){
		return new Promise((resolve, reject) => {
			request.customRequest({
				url: '/admin/admin/site/config',
				method: 'GET',
			},data)
			.then((res) =>{
				resolve(res);
			}).catch(err =>{
				reject(err);
			})
		})
	},
	// 获取登录配置(是否开启密码登录的图片验证码)
	getLoginConfig(data){
		return new Promise((resolve, reject) => {
			request.customRequest({
				url: '/user/admin/site/loginConfig',
				method: 'GET',
			},data)
			.then((res) =>{
				resolve(res);
			}).catch(err =>{
				reject(err);
			})
		})
	},
	
	// 获取图片验证码
	getImgCode(data){
		return new Promise((resolve, reject) => {
			request.customRequest({
				url: '/user/admin/site/captcha',
				method: 'GET',
			},data)
			.then((res) =>{
				resolve(res);
			}).catch(err =>{
				reject(err);
			})
		})
	},
	
	// 账号密码登录
	passwordLogin(data){
		return new Promise((resolve, reject) => {
			request.customRequest({
				url: '/user/admin/site/accountLogin',
				method: 'POST',
			},data)
			.then((res) =>{
				resolve(res);
			}).catch(err =>{
				reject(err);
			})
		})
	},
	
	// 发送短信验证码
	sendSms(data){
		return new Promise((resolve, reject) => {
			request.customRequest({
				url: '/admin/admin/sms/send',
				method: 'POST',
			},data)
			.then((res) =>{
				resolve(res);
			}).catch(err =>{
				reject(err);
			})
		})
	},
	
	// 手机号登录
	mobileLogin(data){
		return new Promise((resolve, reject) => {
			request.customRequest({
				url: '/user/admin/site/mobileLogin',
				method: 'POST',
			},data)
			.then((res) =>{
				resolve(res);
			}).catch(err =>{
				reject(err);
			})
		})
	},
	
	// 获取用户信息
	getUserInfo(data){
		return new Promise((resolve, reject) => {
			request.TokenRequest({
				url: '/user/admin/member/info',
				method: 'GET',
			},data)
			.then((res) =>{
				resolve(res);
			}).catch(err =>{
				reject(err);
			})
		})
	},
	
	// 获取用户菜单
	getUserMenu(data){
		return new Promise((resolve, reject) => {
			request.TokenRequest({
				url: '/user/admin/role/header',
				method: 'GET',
			},data)
			.then((res) =>{
				resolve(res);
			}).catch(err =>{
				reject(err);
			})
		})
	},
	
	
	// 修改密码
	updatePwd(data){
		return new Promise((resolve, reject) => {
			request.TokenRequest({
				url: '/user/admin/member/updatePwd',
				method: 'POST',
			},data)
			.then((res) =>{
				resolve(res);
			}).catch(err =>{
				reject(err);
			})
		})
	},
	
}